
@misc{tor-spec,
        author="Tor Project",
        title="Tor Protocol Specification",
        note={\url{https://spec.torproject.org/tor-spec}},
}

@misc{dir-spec,
        author="Tor Project",
        title="Tor directory protocol, version 3",
        note={\url{https://spec.torproject.org/dir-spec}},
}

@misc{control-spec,
        author="Tor Project",
        title="Tor control protocol, version 1",
        note={\url{https://spec.torproject.org/control-spec}},
}

@misc{collector-protocol,
        author="Tor Project",
        title="Protocol of {C}ollec{T}or's {F}ile {S}tructure (draft)",
        note="\url{https://spec.torproject.org/collector-protocol}",
}

@techreport{PEP380,
	author="Gregory Ewing",
	title={{S}yntax for {D}elegating to a {S}ubgenerator},
	howpublished="PEP380",
	type="PEP",
	number="380",
	institution="Python Enhancement Proposals",
	month="Jun",
	year="2000",
	note={\url{https://www.python.org/dev/peps/pep-0380/}},
}

@techreport{PEP492,
	author="Yury Selivanov",
	title={Coroutines with async and await syntax},
	howpublished="PEP492",
	type="PEP",
	number="492",
	institution="Python Enhancement Proposals",
	year="2015",
	month="Apr",
	note={\url{https://www.python.org/dev/peps/pep-0492/}},
}

@techreport{PEP3156,
	title={Asynchronous {IO} {S}upport {R}ebooted: the "asyncio" {M}odule},
	author="Guido van Rossum",
	howpublished="PEP3156",
	type="PEP",
	number="3156",
	institution="Python Enhancement Proposals",
	year="2012",
        month="Apr",
	note={\url{https://www.python.org/dev/peps/pep-3156/}},
}

@article{Piwowar_2011,
	doi = {10.1038/473285a},
	url = {https://doi.org/10.1038%2F473285a},
	year = 2011,
	month = {May},
	publisher = {Springer Nature},
	volume = {473},
	number = {7347},
	pages = {285--285},
	author = {Heather A. Piwowar and Todd J. Vision and Michael C. Whitlock},
	title = {Data archiving is a good investment},
	journal = {Nature}
}

@article{Molloy_2011,
	doi = {10.1371/journal.pbio.1001195},
	url = {https://doi.org/10.1371%2Fjournal.pbio.1001195},
	year = 2011,
	month = {Dec},
	publisher = {Public Library of Science ({PLoS})},
	volume = {9},
	number = {12},
	pages = {e1001195},
	author = {Jennifer C. Molloy},
	title = {The Open Knowledge Foundation: Open Data Means Better Science},
	journal = {{PLoS} Biology}
}

@inproceedings{ndss13-relay-selection,
  title = {{An Empirical Evaluation of Relay Selection in {Tor}}},
  author = {Christopher Wacek and Henry Tan and Kevin Bauer and Micah Sherr},
  booktitle = {Proceedings of the Network and Distributed System Security Symposium -
        {NDSS}'13},
  year = {2013},
  month = {Feb},
  publisher = {Internet Society},
  www_tags = {selected},
  www_pdf_url = {https://security.cs.georgetown.edu/~msherr/papers/tor-relaystudy.pdf},
  www_section = {Anonymous communication,Tor Performance},
}

@inproceedings{MohajeriMoghaddam2012,
 author = {Mohajeri Moghaddam, Hooman and Li, Baiyu and Derakhshani, Mohammad and Goldberg, Ian},
 title = {SkypeMorph: Protocol Obfuscation for {Tor} Bridges},
 booktitle = {Proceedings of the 2012 ACM Conference on Computer and Communications Security},
 series = {CCS '12},
 year = {2012},
 isbn = {978-1-4503-1651-4},
 location = {Raleigh, North Carolina, USA},
 pages = {97--108},
 numpages = {12},
 url = {http://doi.acm.org/10.1145/2382196.2382210},
 doi = {10.1145/2382196.2382210},
 acmid = {2382210},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {bridges, censorship circumvention, pluggable transports, protocol obfuscation, skype, steganography, tor},
}

@inproceedings{Elahi2012,
 author = {Elahi, Tariq and Bauer, Kevin and AlSabah, Mashael and Dingledine, Roger and Goldberg, Ian},
 title = {Changing of the Guards: A Framework for Understanding and Improving Entry Guard Selection in {Tor}},
 booktitle = {Proceedings of the 2012 ACM Workshop on Privacy in the Electronic Society},
 series = {WPES '12},
 year = {2012},
 isbn = {978-1-4503-1663-7},
 location = {Raleigh, North Carolina, USA},
 pages = {43--54},
 numpages = {12},
 url = {http://doi.acm.org/10.1145/2381966.2381973},
 doi = {10.1145/2381966.2381973},
 acmid = {2381973},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {entry guard, predecessor attack, quality of service, tor},
}

@inproceedings{shadow-ndss12,
  title = {{Shadow: Running {Tor} in a Box for Accurate and Efficient Experimentation}},
  author = {Rob Jansen and Nicholas Hopper},
  booktitle = {Proceedings of the Network and Distributed System Security Symposium -
        {NDSS}'12},
  year = {2012},
  month = {Feb},
  publisher = {Internet Society},
  www_tags = {selected},
  www_pdf_url = {http://www.internetsociety.org/sites/default/files/09_3.pdf},
  www_section = {Anonymous communication,Tor Performance},
}

@inproceedings{insidejob-ndss2018,
  title = {Inside Job: Applying Traffic Analysis to Measure {Tor} from Within},
  author = {Jansen, Rob and Juarez, Marc and G{\'a}lvez, Rafa and Elahi, Tariq and Diaz,
        Claudia},
  booktitle = {Proceedings of the 25th Symposium on Network and Distributed System Security
        ({NDSS} '18)},
  year = {2018},
  month = {Feb},
  publisher = {Internet Society},
  www_tags = {selected},
  www_pdf_url = {http://www.robgjansen.com/publications/insidejob-ndss2018.pdf},
  www_section = {Anonymous communication},
}

@inproceedings{ccs2013-usersrouted,
  title = {Users Get Routed: Traffic Correlation on {Tor} by Realistic Adversaries},
  author = {Aaron Johnson and Chris Wacek and Rob Jansen and Micah Sherr and Paul
        Syverson},
  booktitle = {Proceedings of the 20th ACM conference on Computer and Communications
        Security (CCS 2013)},
  year = {2013},
  month = {Nov},
  www_tags = {selected},
  www_pdf_url = {http://www.ohmygodel.com/publications/usersrouted-ccs13.pdf},
  www_section = {Traffic analysis},
}

@misc{rethinking-cron,
        author="Adam Wiggins",
        title="Rethinking Cron",
        note={\url{https://adam.herokuapp.com/past/2010/4/13/rethinking_cron/}},
        month={Apr},
        year={2010},
}

@inproceedings{identifying-sybils,
   author = {Winter, Philipp and Ensafi, Roya and Loesing, Karsten and Feamster, Nick},
   booktitle = {Proceedings of the 25th USENIX Security Symposium : },
   institution = {Karlstad University, Department of Mathematics and Computer Science},
   institution = {Princeton University},
   institution = {Princeton University},
   institution = {The Tor Project},
   institution = {Princeton University},
   pages = {1169--1185},
   title = {Identifying and characterizing Sybils in the {Tor} network},
   keywords = {tor, sybil attack, anonymity},
   abstract = {Being a volunteer-run, distributed anonymity network, Tor is vulnerable to Sybil attacks. Little is known about real-world Sybils in the Tor network, and we lack practical tools and methods to expose Sybil attacks. In this work, we develop sybilhunter, a system for detecting Sybil relays based on their appearance, such as configuration; and behavior, such as uptime sequences. We used sybilhunter’s diverse analysis techniques to analyze nine years of archived Tor network data, providing us with new insights into the operation of real-world attackers. Our findings include diverse Sybils, ranging from botnets, to academic research, and relays that hijacked Bitcoin transactions. Our work shows that existing Sybil defenses do not apply to Tor, it delivers insights into realworld attacks, and provides practical tools to uncover and characterize Sybils, making the network safer for its users. },
   ISBN = {978-1-931971-32-4},
   year = {2016}
}

@InProceedings{pathspider-anrw,
  Title                    = {{PATHspider: A tool for active measurement of path transparency}},
  Author                   = {Learmonth, Iain and Trammell, Brian and K\"uhlewind, Mirja and Fairhurst, Gorry},
  Booktitle                = {First ACM/IRTF Applied Networking Research Workshop},
  Year                     = {2016},
  Address                  = {Berlin, Germany},
  Month                    = {Jul}
}

@inproceedings{tor-design,
  title = {{Tor}: The Second-Generation Onion Router},
  author = {Roger Dingledine and Nick Mathewson and Paul Syverson},
  booktitle = {{USENIX Security Symposium (USENIX)}},
  year = {2004}
}

@inproceedings{caida-data-sharing,
  title = {Promoting data sharing},
  author = {{CAIDA}},
  note={\url{https://www.caida.org/data/sharing/}},
}
